import { EventEmitter, TemplateRef, TrackByFunction } from '@angular/core';
import { ColorHelper } from '../common/color.helper';
import { Series } from '../models/chart-data.model';
import { BaseChartComponent } from '../common/base-chart.component';
import { BarChartType } from './types/bar-chart-type.enum';
import { LegendOptions, LegendPosition } from '../common/types/legend.model';
import { ScaleType } from '../common/types/scale-type.enum';
import { ViewDimensions } from '../common/types/view-dimension.interface';
import * as i0 from "@angular/core";
export declare class BarVerticalNormalizedComponent extends BaseChartComponent {
    legend: boolean;
    legendTitle: string;
    legendPosition: LegendPosition;
    xAxis: any;
    yAxis: any;
    showXAxisLabel: boolean;
    showYAxisLabel: boolean;
    xAxisLabel: string;
    yAxisLabel: string;
    tooltipDisabled: boolean;
    gradient: boolean;
    showGridLines: boolean;
    activeEntries: any[];
    schemeType: ScaleType;
    trimXAxisTicks: boolean;
    trimYAxisTicks: boolean;
    rotateXAxisTicks: boolean;
    maxXAxisTickLength: number;
    maxYAxisTickLength: number;
    xAxisTickFormatting: any;
    yAxisTickFormatting: any;
    xAxisTicks: any[];
    yAxisTicks: any[];
    barPadding: number;
    roundDomains: boolean;
    noBarWhenZero: boolean;
    wrapTicks: boolean;
    activate: EventEmitter<any>;
    deactivate: EventEmitter<any>;
    tooltipTemplate: TemplateRef<any>;
    dims: ViewDimensions;
    groupDomain: string[];
    innerDomain: string[];
    valueDomain: [number, number];
    xScale: any;
    yScale: any;
    transform: string;
    colors: ColorHelper;
    margin: number[];
    xAxisHeight: number;
    yAxisWidth: number;
    legendOptions: LegendOptions;
    isSSR: boolean;
    barChartType: typeof BarChartType;
    ngOnInit(): void;
    update(): void;
    getGroupDomain(): string[];
    getInnerDomain(): string[];
    getXScale(): any;
    getYScale(): any;
    groupTransform(group: Series): string;
    onClick(data: any, group?: Series): void;
    trackBy: TrackByFunction<Series>;
    setColors(): void;
    getLegendOptions(): LegendOptions;
    updateYAxisWidth({ width }: {
        width: number;
    }): void;
    updateXAxisHeight({ height }: {
        height: number;
    }): void;
    onActivate(event: any, group: Series, fromLegend?: boolean): void;
    onDeactivate(event: any, group: Series, fromLegend?: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BarVerticalNormalizedComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BarVerticalNormalizedComponent, "ngx-charts-bar-vertical-normalized", never, { "legend": { "alias": "legend"; "required": false; }; "legendTitle": { "alias": "legendTitle"; "required": false; }; "legendPosition": { "alias": "legendPosition"; "required": false; }; "xAxis": { "alias": "xAxis"; "required": false; }; "yAxis": { "alias": "yAxis"; "required": false; }; "showXAxisLabel": { "alias": "showXAxisLabel"; "required": false; }; "showYAxisLabel": { "alias": "showYAxisLabel"; "required": false; }; "xAxisLabel": { "alias": "xAxisLabel"; "required": false; }; "yAxisLabel": { "alias": "yAxisLabel"; "required": false; }; "tooltipDisabled": { "alias": "tooltipDisabled"; "required": false; }; "gradient": { "alias": "gradient"; "required": false; }; "showGridLines": { "alias": "showGridLines"; "required": false; }; "activeEntries": { "alias": "activeEntries"; "required": false; }; "schemeType": { "alias": "schemeType"; "required": false; }; "trimXAxisTicks": { "alias": "trimXAxisTicks"; "required": false; }; "trimYAxisTicks": { "alias": "trimYAxisTicks"; "required": false; }; "rotateXAxisTicks": { "alias": "rotateXAxisTicks"; "required": false; }; "maxXAxisTickLength": { "alias": "maxXAxisTickLength"; "required": false; }; "maxYAxisTickLength": { "alias": "maxYAxisTickLength"; "required": false; }; "xAxisTickFormatting": { "alias": "xAxisTickFormatting"; "required": false; }; "yAxisTickFormatting": { "alias": "yAxisTickFormatting"; "required": false; }; "xAxisTicks": { "alias": "xAxisTicks"; "required": false; }; "yAxisTicks": { "alias": "yAxisTicks"; "required": false; }; "barPadding": { "alias": "barPadding"; "required": false; }; "roundDomains": { "alias": "roundDomains"; "required": false; }; "noBarWhenZero": { "alias": "noBarWhenZero"; "required": false; }; "wrapTicks": { "alias": "wrapTicks"; "required": false; }; }, { "activate": "activate"; "deactivate": "deactivate"; }, ["tooltipTemplate"], never, false, never>;
}
