import { EventEmitter, OnChanges, TemplateRef } from '@angular/core';
import { DataItem, StringOrNumberOrDate } from '../models/chart-data.model';
import { PlacementTypes } from '../common/tooltip/position';
import { StyleTypes } from '../common/tooltip/style.type';
import { ColorHelper } from '../common/color.helper';
import { BarChartType } from './types/bar-chart-type.enum';
import { Bar } from './types/bar.model';
import { ViewDimensions } from '../common/types/view-dimension.interface';
import { BarOrientation } from '../common/types/bar-orientation.enum';
import * as i0 from "@angular/core";
export declare class SeriesVerticalComponent implements OnChanges {
    private platformId;
    dims: ViewDimensions;
    type: BarChartType;
    series: DataItem[];
    xScale: any;
    yScale: any;
    colors: ColorHelper;
    gradient: boolean;
    activeEntries: DataItem[];
    seriesName: StringOrNumberOrDate;
    tooltipDisabled: boolean;
    tooltipTemplate: TemplateRef<any>;
    roundEdges: boolean;
    animations: boolean;
    showDataLabel: boolean;
    dataLabelFormatting: any;
    noBarWhenZero: boolean;
    select: EventEmitter<DataItem>;
    activate: EventEmitter<any>;
    deactivate: EventEmitter<any>;
    dataLabelHeightChanged: EventEmitter<any>;
    tooltipPlacement: PlacementTypes;
    tooltipType: StyleTypes;
    bars: Bar[];
    barsForDataLabels: Array<{
        x: number;
        y: number;
        width: number;
        height: number;
        total: number;
        series: string;
    }>;
    barOrientation: typeof BarOrientation;
    isSSR: boolean;
    constructor(platformId: any);
    ngOnInit(): void;
    ngOnChanges(): void;
    update(): void;
    updateDataLabels(): void;
    updateTooltipSettings(): void;
    isActive(entry: DataItem): boolean;
    onClick(data: DataItem): void;
    getLabel(dataItem: DataItem): StringOrNumberOrDate;
    trackBy(index: number, bar: Bar): string;
    trackDataLabelBy(index: number, barLabel: any): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<SeriesVerticalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SeriesVerticalComponent, "g[ngx-charts-series-vertical]", never, { "dims": { "alias": "dims"; "required": false; }; "type": { "alias": "type"; "required": false; }; "series": { "alias": "series"; "required": false; }; "xScale": { "alias": "xScale"; "required": false; }; "yScale": { "alias": "yScale"; "required": false; }; "colors": { "alias": "colors"; "required": false; }; "gradient": { "alias": "gradient"; "required": false; }; "activeEntries": { "alias": "activeEntries"; "required": false; }; "seriesName": { "alias": "seriesName"; "required": false; }; "tooltipDisabled": { "alias": "tooltipDisabled"; "required": false; }; "tooltipTemplate": { "alias": "tooltipTemplate"; "required": false; }; "roundEdges": { "alias": "roundEdges"; "required": false; }; "animations": { "alias": "animations"; "required": false; }; "showDataLabel": { "alias": "showDataLabel"; "required": false; }; "dataLabelFormatting": { "alias": "dataLabelFormatting"; "required": false; }; "noBarWhenZero": { "alias": "noBarWhenZero"; "required": false; }; }, { "select": "select"; "activate": "activate"; "deactivate": "deactivate"; "dataLabelHeightChanged": "dataLabelHeightChanged"; }, never, never, false, never>;
}
