import { SimpleChanges, EventEmitter, OnChanges } from '@angular/core';
import { XAxisTicksComponent } from './x-axis-ticks.component';
import { Orientation } from '../types/orientation.enum';
import { ViewDimensions } from '../types/view-dimension.interface';
import * as i0 from "@angular/core";
export declare class XAxisComponent implements OnChanges {
    xScale: any;
    dims: ViewDimensions;
    trimTicks: boolean;
    rotateTicks: boolean;
    maxTickLength: number;
    tickFormatting: any;
    showGridLines: boolean;
    showLabel: boolean;
    labelText: string;
    ticks: any[];
    xAxisTickCount: number;
    xOrient: Orientation;
    xAxisOffset: number;
    wrapTicks: boolean;
    dimensionsChanged: EventEmitter<any>;
    xAxisClassName: string;
    tickArguments: number[];
    transform: string;
    labelOffset: number;
    fill: string;
    stroke: string;
    tickStroke: string;
    strokeWidth: string;
    padding: number;
    readonly orientation: typeof Orientation;
    ticksComponent: XAxisTicksComponent;
    ngOnChanges(changes: SimpleChanges): void;
    update(): void;
    emitTicksHeight({ height }: {
        height: any;
    }): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<XAxisComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<XAxisComponent, "g[ngx-charts-x-axis]", never, { "xScale": { "alias": "xScale"; "required": false; }; "dims": { "alias": "dims"; "required": false; }; "trimTicks": { "alias": "trimTicks"; "required": false; }; "rotateTicks": { "alias": "rotateTicks"; "required": false; }; "maxTickLength": { "alias": "maxTickLength"; "required": false; }; "tickFormatting": { "alias": "tickFormatting"; "required": false; }; "showGridLines": { "alias": "showGridLines"; "required": false; }; "showLabel": { "alias": "showLabel"; "required": false; }; "labelText": { "alias": "labelText"; "required": false; }; "ticks": { "alias": "ticks"; "required": false; }; "xAxisTickCount": { "alias": "xAxisTickCount"; "required": false; }; "xOrient": { "alias": "xOrient"; "required": false; }; "xAxisOffset": { "alias": "xAxisOffset"; "required": false; }; "wrapTicks": { "alias": "wrapTicks"; "required": false; }; }, { "dimensionsChanged": "dimensionsChanged"; }, never, never, false, never>;
}
