import { EventEmitter, TemplateRef } from '@angular/core';
import { ColorHelper } from '../common/color.helper';
import { DataItem } from '../models/chart-data.model';
import { PlacementTypes } from '../common/tooltip/position';
import { StyleTypes } from '../common/tooltip/style.type';
import * as i0 from "@angular/core";
export interface ArcItem {
    data: DataItem;
    endAngle: number;
    innerRadius: number;
    outerRadius: number;
}
export declare class GaugeArcComponent {
    backgroundArc: ArcItem;
    valueArc: ArcItem;
    cornerRadius: number;
    colors: ColorHelper;
    isActive: boolean;
    tooltipDisabled: boolean;
    valueFormatting: (value: any) => string;
    tooltipTemplate: TemplateRef<any>;
    animations: boolean;
    select: EventEmitter<any>;
    activate: EventEmitter<any>;
    deactivate: EventEmitter<any>;
    placementTypes: typeof PlacementTypes;
    styleTypes: typeof StyleTypes;
    tooltipText(arc: ArcItem): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<GaugeArcComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GaugeArcComponent, "g[ngx-charts-gauge-arc]", never, { "backgroundArc": { "alias": "backgroundArc"; "required": false; }; "valueArc": { "alias": "valueArc"; "required": false; }; "cornerRadius": { "alias": "cornerRadius"; "required": false; }; "colors": { "alias": "colors"; "required": false; }; "isActive": { "alias": "isActive"; "required": false; }; "tooltipDisabled": { "alias": "tooltipDisabled"; "required": false; }; "valueFormatting": { "alias": "valueFormatting"; "required": false; }; "tooltipTemplate": { "alias": "tooltipTemplate"; "required": false; }; "animations": { "alias": "animations"; "required": false; }; }, { "select": "select"; "activate": "activate"; "deactivate": "deactivate"; }, never, never, false, never>;
}
