import { OnChanges, SimpleChanges } from '@angular/core';
import { ColorHelper } from '../common/color.helper';
import { Series } from '../models/chart-data.model';
import { BarOrientation } from '../common/types/bar-orientation.enum';
import { ScaleType } from '../common/types/scale-type.enum';
import { Gradient } from '../common/types/gradient.interface';
import * as i0 from "@angular/core";
export declare class LineSeriesComponent implements OnChanges {
    data: Series;
    xScale: any;
    yScale: any;
    colors: ColorHelper;
    scaleType: ScaleType;
    curve: any;
    activeEntries: any[];
    rangeFillOpacity: number;
    hasRange: boolean;
    animations: boolean;
    path: string;
    outerPath: string;
    areaPath: string;
    gradientId: string;
    gradientUrl: string;
    hasGradient: boolean;
    gradientStops: Gradient[];
    areaGradientStops: Gradient[];
    stroke: string;
    barOrientation: typeof BarOrientation;
    ngOnChanges(changes: SimpleChanges): void;
    update(): void;
    getLineGenerator(): any;
    getRangeGenerator(): any;
    getAreaGenerator(): any;
    sortData(data: any): any;
    updateGradients(): void;
    isActive(entry: any): boolean;
    isInactive(entry: any): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<LineSeriesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LineSeriesComponent, "g[ngx-charts-line-series]", never, { "data": { "alias": "data"; "required": false; }; "xScale": { "alias": "xScale"; "required": false; }; "yScale": { "alias": "yScale"; "required": false; }; "colors": { "alias": "colors"; "required": false; }; "scaleType": { "alias": "scaleType"; "required": false; }; "curve": { "alias": "curve"; "required": false; }; "activeEntries": { "alias": "activeEntries"; "required": false; }; "rangeFillOpacity": { "alias": "rangeFillOpacity"; "required": false; }; "hasRange": { "alias": "hasRange"; "required": false; }; "animations": { "alias": "animations"; "required": false; }; }, {}, never, never, false, never>;
}
