import { TemplateRef, EventEmitter } from '@angular/core';
import { BaseChartComponent } from '../common/base-chart.component';
import { ColorHelper } from '../common/color.helper';
import { ViewDimensions } from '../common/types/view-dimension.interface';
import { ScaleType } from '../common/types/scale-type.enum';
import { StyleTypes } from '../common/tooltip/style.type';
import { TextAnchor } from '../common/types/text-anchor.enum';
import * as i0 from "@angular/core";
interface RectItem {
    fill: string;
    height: number;
    rx: number;
    width: number;
    x: number;
    y: number;
    label: string;
    labelAnchor: string;
    tooltip: string;
    transform: string;
    data: any;
    active?: boolean;
}
export declare class SankeyComponent extends BaseChartComponent {
    showLabels: boolean;
    gradient: boolean;
    tooltipDisabled: boolean;
    activeEntries: any[];
    labelFormatting: any;
    activate: EventEmitter<any>;
    deactivate: EventEmitter<any>;
    tooltipTemplate: TemplateRef<any>;
    dims: ViewDimensions;
    colors: ColorHelper;
    colorScale: any;
    transform: string;
    margin: number[];
    scaleType: ScaleType;
    valueDomain: any[];
    styleTypes: typeof StyleTypes;
    nodeRects: RectItem[];
    linkPaths: any[];
    chartHasActive: boolean;
    ngOnChanges(): void;
    update(): void;
    getNodeTooltipText(node: any): string;
    getLinkTooltipText(sourceNode: any, targetNode: any, value: number): string;
    getTextAnchor(node: any): TextAnchor;
    onClick(data: any): void;
    setColors(): void;
    getValueDomain(nodes: any): any[];
    activateLink(link: any): void;
    deactivateLink(link: any): void;
    activateRect(rect: any): void;
    deactivateRect(rect: any): void;
    get hasActive(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<SankeyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SankeyComponent, "ngx-charts-sankey", never, { "showLabels": { "alias": "showLabels"; "required": false; }; "gradient": { "alias": "gradient"; "required": false; }; "tooltipDisabled": { "alias": "tooltipDisabled"; "required": false; }; "activeEntries": { "alias": "activeEntries"; "required": false; }; "labelFormatting": { "alias": "labelFormatting"; "required": false; }; }, { "activate": "activate"; "deactivate": "deactivate"; }, ["tooltipTemplate"], never, false, never>;
}
export {};
